package net.javase.hksup.starter.utils;

public class SystemUtil {

    public static final String OS_NAME = System.getProperty("os.name");

    public static boolean isLinux() {
        return OS_NAME.toLowerCase().contains("linux");
    }

    public static boolean isWindows() {
        return OS_NAME.toLowerCase().contains("windows");
    }

    public static String userDir() {
        return System.getProperty("user.dir");
    }

    public static void jnaDebugLoad(boolean flag) {
        if (flag) {
            System.setProperty("jna.debug_load", "true");
        }
    }
}
